Subject: Re: UDP is bypassing qdisc statistics ....

From: Eric Dumazet <[email-masked]>
Date: Tue, 01 Sep 2009 17:28:26 +0200

Christoph Lameter a écrit :
> On Tue, 1 Sep 2009, Eric Dumazet wrote:
> 
>> Hmm, my bnx2 still displays correct info here (BCM5708S) ; so maybe Christoph has a
>> real multiqueue NIC adapter ? I thought he mentioned a mono queue NIC earlier.
> 
> I have no clue if it is or not. I have never used those features.
> 
> dmesg says:
> 
> Broadcom NetXtreme II BCM5709 1000Base-T (C0) PCI Express
> 
> Is that a multiqueue adapter?

You should see that in /proc/interrupts, if I correctly understand bnx2.c

Just to be sure :
With following patch I got in my syslog :

[    8.789048] rx_rings=1 real_num_tx_queues=1
[    9.005700] rx_rings=1 real_num_tx_queues=1

So my bnx2 is mono-queue :(

diff --git a/drivers/net/bnx2.c b/drivers/net/bnx2.c
index 06b9011..573d6b3 100644
--- a/drivers/net/bnx2.c
+++ b/drivers/net/bnx2.c
@@ -6144,6 +6144,7 @@ bnx2_setup_int_mode(struct bnx2 *bp, int dis_msi)
 	bp->dev->real_num_tx_queues = bp->num_tx_rings;

 	bp->num_rx_rings = bp->irq_nvecs;
+	pr_err("rx_rings=%d real_num_tx_queues=%d\n", bp->num_rx_rings,  bp->num_tx_rings);
 }

 /* Called with rtnl_lock */